import '../styles/components/accordion-search.scss';
export declare const getLeafKeys: (item: AccordionItem[] | AccordionItem) => string[] | string;
export declare const filterAccordionData: (accordionData: AccordionItem[], query: string) => AccordionItem[];
export type AccordionItem = {
    label: string;
    id: string;
    items?: AccordionItem[];
    addAsterisk?: boolean;
};
type AccordionSearchProps = {
    /**
     * An array of objects each of which is used to populate an accordion.
     */
    accordionData: AccordionItem[];
    /**
     * String used to fill in the search input when empty
     */
    placeholder?: string;
    /**
     * Callback that is fired when an accordion's item is selected
     */
    onSelect: (itemId: string) => unknown;
    /**
     * Array of the selected items' IDs
     */
    selected: string[];
    /**
     * A boolean indicating whether the component should span multiple
     * columns: 2 columns for medium to 3 columns for large+ screens.
     */
    columns?: boolean;
};
declare const AccordionSearch: ({ accordionData, placeholder, onSelect, selected, columns, }: AccordionSearchProps) => import("react/jsx-runtime").JSX.Element;
export default AccordionSearch;
