import { FC, ReactNode, HTMLAttributes } from 'react';
import '../styles/components/accordion.scss';
type Props = {
    /**
     * The title, works as a trigger to open/close
     */
    accordionTitle: ReactNode;
    /**
     * Number displayed at the right of the accordion. This could, for example, be used to inform
       the user how many checkboxes have selected in the accodion's hidden content.
     */
    count?: number;
    /**
     * Disable toggling and always open accordion
     */
    alwaysOpen?: boolean;
    initialOpen?: boolean;
};
declare const Accordion: FC<Props & HTMLAttributes<HTMLDivElement>>;
export default Accordion;
