import { HTMLAttributes } from 'react';
import '../styles/common/_buttons.scss';
export type ButtonProps = {
    /**
     * Flag to disable the button
     */
    disabled?: boolean;
    /**
     * Type to pass to the underlying <button></button>
     */
    type?: 'button' | 'submit' | 'reset';
    /**
     * Variant of the button
     */
    variant?: 'primary' | 'secondary' | 'tertiary';
    /**
     * Classnames to be added to the button
     */
    className?: string;
} & HTMLAttributes<HTMLButtonElement>;
export declare const Button: import("react").ForwardRefExoticComponent<{
    /**
     * Flag to disable the button
     */
    disabled?: boolean;
    /**
     * Type to pass to the underlying <button></button>
     */
    type?: "button" | "submit" | "reset";
    /**
     * Variant of the button
     */
    variant?: "primary" | "secondary" | "tertiary";
    /**
     * Classnames to be added to the button
     */
    className?: string;
} & HTMLAttributes<HTMLButtonElement> & {
    children?: import("react").ReactNode | undefined;
} & import("react").RefAttributes<HTMLButtonElement>>;
export default Button;
