import { FC, PropsWithChildren, ReactElement, ReactNode } from 'react';
import '../styles/components/decorated-list-item.scss';
type Props = {
    /**
     * Title
     */
    title?: ReactNode;
    /**
     * Make this item visually stand-out
     */
    highlight?: boolean;
    /**
     * Target/link of the list item when clicking on it
     */
    link?: ReactElement;
    /**
     * Compact style
     */
    compact?: boolean;
    /**
     * Hide the title
     */
    hideTitle?: boolean;
    /**
     * Attempts to keep the element horizontally aligned with its siblings
     */
    inline?: boolean;
    /**
     * Optional CSS classnames to be passed down from the parent component
     */
    className?: string;
    /**
     * Switches to an alternative style for the decorative line
     */
    altStyle?: boolean;
};
declare const DecoratedListItem: FC<PropsWithChildren<Props>>;
export default DecoratedListItem;
