import { FC, ReactNode, HTMLAttributes } from 'react';
import '../styles/components/expandable-list.scss';
type ExpandableMessageProps = {
    expanded?: boolean;
    setExpanded: (expanded: boolean) => unknown;
    descriptionString?: string;
    showHideWording?: boolean;
    nHiddenItems?: number;
};
export declare const ExpandableMessage: FC<ExpandableMessageProps>;
type ExpandableListProps = {
    /**
     * Children as an array of react elements, items of the list
     */
    children?: ReactNode;
    /**
     * Threshold from which to start hiding items of the list
     */
    numberCollapsedItems?: number;
    /**
     * Description of the items to put in text of the open/close button
     */
    descriptionString?: string;
    /**
     * Wether to show or hide the visual bullet points
     */
    showBullets?: boolean;
    /**
     * Extra element to place alongside the open/close button
     */
    extraActions?: ReactNode;
    /**
     * Wether to display or not the number of hidden elements
     */
    displayNumberOfHiddenItems?: boolean;
    /**
     * Classnames to be added to the list container
     */
    className?: string;
};
export declare const ExpandableList: ({ children: c, numberCollapsedItems, descriptionString, showBullets, extraActions, displayNumberOfHiddenItems, className, ...props }: ExpandableListProps & HTMLAttributes<HTMLUListElement>) => import("react/jsx-runtime").JSX.Element;
export default ExpandableList;
