import { FC, AnchorHTMLAttributes } from 'react';
import '../styles/components/external-link.scss';
export type Props = Exclude<AnchorHTMLAttributes<HTMLAnchorElement>, 'href'> & {
    /**
     * The location that is visted when clicked
     */
    url: string | null;
    /**
     * Decides if a new browser tab should be opened or not, defaults to true
     */
    newTab?: boolean;
    tidyUrl?: boolean;
    noIcon?: boolean;
};
declare const ExternalLink: FC<Props>;
export default ExternalLink;
