import { ReactNode, HTMLAttributes, FC } from 'react';
import '../styles/components/header.scss';
type HeaderProps = {
    /**
     * Component to display where the link to the home page will be
     */
    homepageLink?: ReactNode;
    /**
     * Search component
     */
    search?: ReactNode;
    /**
     * Secondary items
     */
    secondaryItems?: ReactNode;
    /**
     * Subtext
     */
    subtext?: ReactNode;
    /**
     * Flag representing if the header should be in a "negative" style
     */
    isNegative?: boolean;
};
declare const Header: FC<HeaderProps & HTMLAttributes<HTMLDivElement>>;
export default Header;
