import { FC, HTMLAttributes, ReactNode } from 'react';
import { HeadingLevels } from '../types/common';
import '../styles/components/hero-container.scss';
type HeroContainerProps = HTMLAttributes<HTMLElement> & {
    /**
     * The heading of the component
     */
    headingContent?: ReactNode;
    /**
     * The heading level
     */
    headingLevel?: HeadingLevels;
    /**
     * CSS classes to pass to the component heading
     */
    headingClassName?: string;
    /**
     * Remove left and right padding
     */
    noSidePadding?: boolean;
};
export declare const HeroContainer: FC<HeroContainerProps> & HTMLAttributes<HTMLElement>;
export default HeroContainer;
