import { ReactNode, HTMLAttributes, ReactElement } from 'react';
import '../styles/components/info-list.scss';
export type InfoListItem = {
    title: ReactNode;
    content: ReactNode;
    key?: string;
    link?: ReactElement;
};
type Props = {
    /**
     * An array of objects each containing 'title' and 'content'
     */
    infoData?: Array<InfoListItem>;
    /**
     * A boolean indicating whether the component should span multiple
     * columns on medium to large screens or not.
     */
    columns?: boolean;
    /**
     * A boolean indicating whether the component should render
     * as a compact list
     */
    isCompact?: boolean;
    /**
     * Should the first content item in the InfoList be bold
     */
    highlightFirstItem?: boolean;
    /**
     * Display titles or not
     */
    noTitles?: boolean;
};
declare const InfoList: ({ infoData, columns, isCompact, highlightFirstItem, noTitles, className, ...props }: Props & HTMLAttributes<HTMLUListElement>) => import("react/jsx-runtime").JSX.Element;
export default InfoList;
