import { InputHTMLAttributes, SyntheticEvent } from 'react';
import '../styles/components/main-search.scss';
export type MainSearchProps = {
    /**
     * Action performed upon search submission
     */
    onSubmit: (e: SyntheticEvent) => void;
    /**
     * What happens when text is typed in the search box
     */
    onTextChange: (selectedValue: string) => void;
    /**
     * The search term
     */
    searchTerm?: string;
    /**
     * An object representing the different namespace options
     */
    namespaces?: Record<string, string>;
    /**
     * What happens when a namespace is changed in the dropdown
     */
    onNamespaceChange?: (namespace: string) => void;
    /**
     * The selected namespace in the dropdown
     */
    selectedNamespace?: string;
    /**
     * A list of objects representing secondary buttons and their actions
     */
    secondaryButtons?: {
        label: string;
        action: () => void;
    }[];
} & InputHTMLAttributes<HTMLInputElement>;
declare const MainSearch: ({ searchTerm, namespaces, onTextChange, onSubmit, onNamespaceChange, selectedNamespace, secondaryButtons, ...props }: MainSearchProps) => import("react/jsx-runtime").JSX.Element;
export default MainSearch;
