import { FC, ReactNode, HTMLAttributes, MouseEvent } from 'react';
import '../styles/components/message.scss';
type Props = {
    /**
     * The message level: 'warning', 'failure', 'success', 'info' (default)
     */
    level?: 'warning' | 'failure' | 'success' | 'info';
    /**
     * The title of the message
     */
    heading?: ReactNode;
    /**
     * The content to appear underneath of the main message
     */
    subtitle?: ReactNode;
    /**
     * Whether the message can be closed or not
     */
    onDismiss?: (event: MouseEvent) => void;
    /**
     * To hide the default message icon
     */
    noIcon?: boolean;
    /**
     * To hide the default box shadow
     */
    noShadow?: boolean;
};
declare const Message: FC<Props & HTMLAttributes<HTMLDivElement>>;
export default Message;
