import { FC, ReactNode, HTMLAttributes } from 'react';
import { HeadingLevels } from '../types/common';
import '../styles/components/page-intro.scss';
type PageIntroProps = {
    /**
     * The title
     */
    heading: ReactNode;
    /**
     * The heading level
     */
    headingLevel?: HeadingLevels;
    /**
     * CSS classes to pass to the component heading
     */
    headingClassName?: string;
    /**
     * Optional heading postscript to follow resultsCount
     */
    headingPostscript?: ReactNode;
    /**
     * Number of results
     */
    resultsCount?: number;
};
declare const PageIntro: FC<PageIntroProps & HTMLAttributes<HTMLDivElement>>;
export default PageIntro;
