import { FC, KeyboardEvent, ChangeEventHandler, InputHTMLAttributes } from 'react';
import '../styles/components/search-input.scss';
type Props = {
    /**
     * The value to display in the text input.
     */
    value?: string;
    /**
     * Value change callback for the text input component.
     */
    onChange?: ChangeEventHandler<HTMLInputElement>;
    /**
     * Key pressed callback for the text input component.
     */
    onKeyDown?: (event: KeyboardEvent<HTMLInputElement>) => void;
    /**
     * Text to place in the text input component in the absence of value.
     */
    placeholder?: string;
    /**
     * Text to place in the text input component in the absence of value.
     */
    isLoading?: boolean;
} & InputHTMLAttributes<HTMLInputElement>;
declare const SearchInput: FC<Props>;
export default SearchInput;
