import { SequenceObject } from '../sequence-utils/sequence-processor';
import '../styles/components/sequence-submission.scss';
type Props = {
    /**
     * The value, if needed.
     */
    value?: string;
    /**
     * The default value, if needed.
     */
    defaultValue?: string;
    /**
     * Triggers when the value is changed.
     */
    onChange?: (processed: SequenceObject[]) => void;
    /**
     * Display text when the textarea is empty.
     */
    placeholder?: string;
    /**
     * Minimum acceptable length for a sequence
     */
    minimumLength?: number;
    /**
     * Minimum acceptable number of sequences
     */
    minimumSequences?: number;
    /**
     * Maximum acceptable number of sequences
     */
    maximumSequences?: number;
};
declare const SequenceSubmission: ({ value, onChange, placeholder, defaultValue, minimumLength, minimumSequences, maximumSequences, }: Props) => import("react/jsx-runtime").JSX.Element;
export default SequenceSubmission;
