import { AutocompleteItemType } from './components/autocomplete-item';
export declare function getLastIndexOfSubstringIgnoreCase(string: string, substring: string): number;
export type BasicItem<Item> = {
    label: string;
    id: string;
    tags?: string[];
    items?: BasicItem<Item>[];
};
export declare const getNodePaths: <Item extends BasicItem<Item>>(items: Item[], id?: string, path?: Item[]) => Omit<Item, "items">[][];
export declare function prepareTreeDataForAutocomplete<Item extends BasicItem<Item>>(flattenedTreeData: Item[][]): AutocompleteItemType[];
export declare function getSingleChildren<Item extends BasicItem<Item>>(children: Item[]): Generator<string, void, never>;
export declare function formatLargeNumber(x: string | number): string;
export declare function formatBytesNumber(bytes: string | number, decimals?: number): string;
export declare const tidyUrlString: (url: string) => string;
